explain_tmpnam_or_die(3)

NAME
explain_tmpnam_or_die - create a name for a temporary file and report errors

SYNOPSIS
#include <libexplain/tmpnam.h>

char *explain_tmpnam_or_die(char *pathname);
char *explain_tmpnam_on_error(char *pathname);

DESCRIPTION
The explain_tmpnam_or_die function is used to call the tmpnam(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tmpnam(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_tmpnam_on_error function is used to call the tmpnam(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_tmpnam(3) function, but still returns to the caller.

pathname
    The pathname, exactly as to be passed to the tmpnam(3) system call.

RETURN VALUE
The explain_tmpnam_or_die function only returns on success, see tmpnam(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_tmpnam_on_error function always returns the value return by the wrapped tmpnam(3) system call.

EXAMPLE
The explain_tmpnam_or_die function is intended to be used in a fashion similar to the following example:
    char *result = explain_tmpnam_or_die(pathname);

SEE ALSO

tmpnam(3)
    create a name for a temporary file

explain_tmpnam(3)
    explain tmpnam(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 0.46
Copyright (C) 2010 Peter Miller